System.Data 2.0.0.0 System.Object To be added.

Represents a set of static methods for creating one or more instances of classes.

- Method
  System.Data.Common.DbProviderFactory ``

  The parameter corresponds to the of a table returned by .

  Returns an instance of a .

  An instance of a for a specified .

  containing the provider's configuration information. 2.0.0.0
- Method
  System.Data.Common.DbProviderFactory ``

  The parameter corresponds to the InvariantName column of a table returned by .

  Returns an instance of a .

  An instance of a for a specified provider name.

  Invariant name of a provider. 2.0.0.0
- Method
  System.Data.DataTable To be added.

  Returns a that contains information about all installed providers that implement .

  Returns a containing objects that contain the following data.

  Column ordinal

  Column name

  Description

  0

  Name

  Human-readable name for the data provider.

  1

  Description

  Human-readable description of the data provider.

  2

  InvariantName

  Name that can be used programmatically to refer to the data provider.

  3

  AssemblyQualifiedName

  Fully qualified name of the factory class, which contains enough information to instantiate the object.

  2.0.0.0